package main_test

import (
	"os"
	"testing"
)

func TestMain(m *testing.M) {
	// Here the TestMain is just to prevent running unwanted integration test
	// on `go test ./...`

	if _, ok := os.LookupEnv("INTEGRATION_TEST"); !ok {
		return
	}

	code := m.Run()

	os.Exit(code)
}
